POSTUnconfirmedTxs

https://rpc-cronospos-mainnet.nodit.io/

Retrieves the list of unconfirmed transactions.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

limitstring

Maximum number of transactions to return.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

n_txsstring

Number of transactions in this response.

totalstring

Total number of transactions in the mempool.

total_bytesstring

Total size of mempool transactions in bytes.

txsstring[]

Transactions in the mempool (Base64).

X-API-KEY
RequestCU20
cURL
curl -X POST "https://rpc-cronospos-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "unconfirmed_txs",
  "params": {
    "limit": "20"
  }
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "n_txs": "2",
    "total": "2",
    "total_bytes": "1024",
    "txs": [
      "a/encoded_tx_1/c",
      "a/encoded_tx_2/c"
    ]
  }
}